Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 251723004: No media-file validation mode for DeviceMediaAsyncUtil. (Closed)

Created:
5 years, 7 months ago by kinaba
Modified:
5 years, 7 months ago
CC:
chromium-reviews, vandebo (ex-Chrome), nkostylev+watch_chromium.org, tzik, Lei Zhang, Greg Billock, nhiroki, tommycli, oshima+watch_chromium.org, kinuko+watch, stevenjb+watch_chromium.org, davemoore+watch_chromium.org
Visibility:
Public.

Description

No media-file validation mode for DeviceMediaAsyncUtil. CreateSnapshotFile and GetFileStreamReader used to sniff the content of the files and returned error if it does not look like media data. This CL adds a mode to disable the check, and use the disabled mode in MTP mounting in Chrome OS file manager. BUG=367004 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=266524

Patch Set 1 #

Total comments: 2

Patch Set 2 : Addressed review #2 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+48 lines, -27 lines) Patch
M chrome/browser/chromeos/fileapi/mtp_file_system_backend_delegate.cc View 2 chunks +2 lines, -5 lines 0 comments Download
M chrome/browser/media_galleries/fileapi/device_media_async_file_util.h View 1 4 chunks +12 lines, -2 lines 0 comments Download
M chrome/browser/media_galleries/fileapi/device_media_async_file_util.cc View 3 chunks +27 lines, -16 lines 0 comments Download
M chrome/browser/media_galleries/fileapi/media_file_system_backend.cc View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/media_galleries/fileapi/mtp_file_stream_reader.h View 1 chunk +2 lines, -1 line 0 comments Download
M chrome/browser/media_galleries/fileapi/mtp_file_stream_reader.cc View 1 chunk +3 lines, -2 lines 0 comments Download

Messages

Total messages: 14 (0 generated)
kinaba
5 years, 7 months ago (2014-04-25 07:41:34 UTC) #1
Lei Zhang
lgtm https://codereview.chromium.org/251723004/diff/1/chrome/browser/media_galleries/fileapi/device_media_async_file_util.h File chrome/browser/media_galleries/fileapi/device_media_async_file_util.h (right): https://codereview.chromium.org/251723004/diff/1/chrome/browser/media_galleries/fileapi/device_media_async_file_util.h#newcode134 chrome/browser/media_galleries/fileapi/device_media_async_file_util.h:134: explicit DeviceMediaAsyncFileUtil(const base::FilePath& profile_path, explicit no longer needed.
5 years, 7 months ago (2014-04-25 08:07:03 UTC) #2
kinaba
https://codereview.chromium.org/251723004/diff/1/chrome/browser/media_galleries/fileapi/device_media_async_file_util.h File chrome/browser/media_galleries/fileapi/device_media_async_file_util.h (right): https://codereview.chromium.org/251723004/diff/1/chrome/browser/media_galleries/fileapi/device_media_async_file_util.h#newcode134 chrome/browser/media_galleries/fileapi/device_media_async_file_util.h:134: explicit DeviceMediaAsyncFileUtil(const base::FilePath& profile_path, On 2014/04/25 08:07:04, Lei Zhang ...
5 years, 7 months ago (2014-04-25 08:10:46 UTC) #3
kinaba
The CQ bit was checked by kinaba@chromium.org
5 years, 7 months ago (2014-04-28 07:04:50 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/kinaba@chromium.org/251723004/20001
5 years, 7 months ago (2014-04-28 07:05:34 UTC) #5
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 7 months ago (2014-04-28 08:26:32 UTC) #6
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.chromium on linux_chromium_chromeos_rel
5 years, 7 months ago (2014-04-28 08:26:32 UTC) #7
kinaba
The CQ bit was checked by kinaba@chromium.org
5 years, 7 months ago (2014-04-28 08:27:10 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/kinaba@chromium.org/251723004/20001
5 years, 7 months ago (2014-04-28 08:27:27 UTC) #9
commit-bot: I haz the power
The CQ bit was unchecked by commit-bot@chromium.org
5 years, 7 months ago (2014-04-28 08:47:38 UTC) #10
commit-bot: I haz the power
Try jobs failed on following builders: tryserver.chromium on win_chromium_compile_dbg
5 years, 7 months ago (2014-04-28 08:47:39 UTC) #11
kinaba
The CQ bit was checked by kinaba@chromium.org
5 years, 7 months ago (2014-04-28 08:56:01 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/kinaba@chromium.org/251723004/20001
5 years, 7 months ago (2014-04-28 08:57:41 UTC) #13
commit-bot: I haz the power
5 years, 7 months ago (2014-04-28 12:31:18 UTC) #14
Message was sent while issue was closed.
Change committed as 266524

Powered by Google App Engine
This is Rietveld 408576698